petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCJACOBI

Jacobi (i.e. diagonal scaling preconditioning)

### Options Database Key

| -pc_jacobi_type <diagonal,rowmax,rowsum> | - approach for forming the preconditioner
| -pc_jacobi_abs | - use the absolute value of the diagonal entry

Notes: By using KSPSetPCSide(ksp,PC_SYMMETRIC) or -ksp_pc_side symmetric can scale each side of the matrix by the square root of the diagonal entries.

Zero entries along the diagonal are replaced with the value 1.0

See PCPBJACOBI for a point-block Jacobi preconditioner

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCJacobiSetType(), PCJacobiSetUseAbs(), PCJacobiGetUseAbs(), PCPBJACOBI

Level:beginner
Location:src/ksp/pc/impls/jacobi/jacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex23.c.html
src/ksp/ksp/examples/tutorials/ex58.c.html
src/ksp/ksp/examples/tutorials/ex1f.F.html
src/ksp/ksp/examples/tutorials/ex2f.F.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/ksp/ksp/examples/tutorials/ex21f.F.html
src/snes/examples/tutorials/ex74f.F90.html